
public class Class68_Sub1 extends Class68 {

   static final int anInt8045 = 16;
   static final int anInt8046 = 0;
   static final int anInt8047 = 1;
   static final int anInt8048 = 2;
   static final int anInt8049 = 12;
   static final int anInt8050 = 9;
   static final int anInt8051 = 5;
   static final int anInt8052 = 17;
   static final int anInt8053 = 7;
   static final int anInt8054 = 8;
   static final int anInt8055 = 3;
   static final int anInt8056 = 10;
   static final int anInt8057 = 11;
   static final int anInt8058 = 6;
   static final int anInt8059 = 13;
   static final int anInt8060 = 14;
   static final int anInt8061 = 15;
   static final int anInt8062 = 4;
   static final int anInt8063 = 17;
   static final int anInt8064 = 0;
   static final int anInt8065 = 1;
   static final int anInt8066 = 2;
   Class103 aClass103_8067;
   static final int anInt8068 = 12;
   static final int anInt8069 = 7;
   Class317 aClass317_8070 = new Class317();
   static final int anInt8071 = 19;
   int[][] anIntArrayArray8072 = new int[19][17];
   Class100[] aClass100Array8073 = new Class100[19];
   static final int anInt8074 = 18;
   int[] anIntArray8075;
   public static Class253 aClass253_8076;


   public void method1449(Class317 var1) {
      this.aClass317_8070.method5609(var1);
      this.aClass317_8070.method5612(this.aClass545_Sub2_644.aClass317_9747);
   }

   boolean method13018(byte var1) throws Exception_Sub3 {
      this.aClass103_8067 = this.aClass545_Sub2_644.method15316("Model");
      Class225_Sub36_Sub1 var2 = this.aClass103_8067.method2030("DiffuseSampler", -1104463548);
      Class225_Sub36_Sub1 var3 = this.aClass103_8067.method2030("EnvironmentSampler", 2042940240);
      Class225_Sub36_Sub1 var4 = this.aClass103_8067.method2030("PointLightsPosAndRadiusSq", 1507891925);
      Class225_Sub36_Sub1 var5 = this.aClass103_8067.method2030("PointLightsDiffuseColour", -167206665);
      Class225_Sub36_Sub1 var6 = this.aClass103_8067.method2030("WVPMatrix", -215382046);
      Class225_Sub36_Sub1 var7 = this.aClass103_8067.method2030("TexCoordMatrix", -622244940);
      Class225_Sub36_Sub1 var8 = this.aClass103_8067.method2030("HeightFogPlane", 453916033);
      Class225_Sub36_Sub1 var9 = this.aClass103_8067.method2030("HeightFogColour", 1038452564);
      Class225_Sub36_Sub1 var10 = this.aClass103_8067.method2030("DistanceFogPlane", 726859158);
      Class225_Sub36_Sub1 var11 = this.aClass103_8067.method2030("DistanceFogColour", -1003080025);
      Class225_Sub36_Sub1 var12 = this.aClass103_8067.method2030("SunDir", -230818506);
      Class225_Sub36_Sub1 var13 = this.aClass103_8067.method2030("SunColour", -470406068);
      Class225_Sub36_Sub1 var14 = this.aClass103_8067.method2030("AntiSunColour", -1082741719);
      Class225_Sub36_Sub1 var15 = this.aClass103_8067.method2030("AmbientColour", 512681648);
      Class225_Sub36_Sub1 var16 = this.aClass103_8067.method2030("EyePos", 2017407206);
      Class225_Sub36_Sub1 var17 = this.aClass103_8067.method2030("SpecularExponent", 1300133197);
      Class225_Sub36_Sub1 var18 = this.aClass103_8067.method2030("WorldMatrix", 1886479795);
      this.aClass100Array8073[0] = this.aClass103_8067.method2000("Unlit", 169964444);
      this.aClass100Array8073[1] = this.aClass103_8067.method2000("Unlit_IgnoreAlpha", 169964444);
      this.aClass100Array8073[17] = this.aClass103_8067.method2000("UnderwaterGround", 169964444);
      this.aClass100Array8073[18] = this.aClass103_8067.method2000("UnderwaterGroundSpecular", 169964444);

      int var19;
      for(var19 = 0; var19 <= 4; ++var19) {
         this.aClass100Array8073[var19 + 2] = this.aClass103_8067.method2000("Standard_" + var19 + "PointLights", 169964444);
         this.aClass100Array8073[7 + var19] = this.aClass103_8067.method2000("Specular_" + var19 + "PointLights", 169964444);
         this.aClass100Array8073[12 + var19] = this.aClass103_8067.method2000("EnvironmentalMapping_" + var19 + "PointLights", 169964444);
      }

      for(var19 = 0; var19 < 19; ++var19) {
         int var20 = this.aClass103_8067.method2051(this.aClass100Array8073[var19], 1273650654);
         this.anIntArrayArray8072[var19][2] = var2.method15633(var20);
         this.anIntArrayArray8072[var19][3] = var3.method15633(var20);
         this.anIntArrayArray8072[var19][1] = var4.method15633(var20);
         this.anIntArrayArray8072[var19][0] = var5.method15633(var20);
         this.anIntArrayArray8072[var19][4] = var6.method15633(var20);
         this.anIntArrayArray8072[var19][5] = var7.method15633(var20);
         this.anIntArrayArray8072[var19][7] = var8.method15633(var20);
         this.anIntArrayArray8072[var19][8] = var9.method15633(var20);
         this.anIntArrayArray8072[var19][9] = var10.method15633(var20);
         this.anIntArrayArray8072[var19][10] = var11.method15633(var20);
         this.anIntArrayArray8072[var19][11] = var12.method15633(var20);
         this.anIntArrayArray8072[var19][12] = var13.method15633(var20);
         this.anIntArrayArray8072[var19][13] = var14.method15633(var20);
         this.anIntArrayArray8072[var19][14] = var15.method15633(var20);
         this.anIntArrayArray8072[var19][6] = var16.method15633(var20);
         this.anIntArrayArray8072[var19][15] = var18.method15633(var20);
         this.anIntArrayArray8072[var19][16] = var17.method15633(var20);
      }

      this.aClass103_8067.method2007(this.aClass100Array8073[2]);
      return true;
   }

   public void method1465() {
      this.aClass103_8067.method2007(this.aClass100Array8073[17]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.method13019(0, -1206475661);
   }

   public void method1442(boolean var1) {
      if(var1) {
         this.aClass103_8067.method2007(this.aClass100Array8073[1]);
      } else {
         this.aClass103_8067.method2007(this.aClass100Array8073[0]);
      }

      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2044(this.anIntArray8075[2], 0, this.anInterface33_645, 29540316);
      this.aClass103_8067.method2012(this.anIntArray8075[4], this.aClass317_8070, (byte)46);
      this.aClass103_8067.method2027(this.anIntArray8075[5], this.aClass317_654, -1788253063);
      this.aClass103_8067.method2023(this.anIntArray8075[7], this.aClass318_651.aFloat4004, this.aClass318_651.aFloat4002, this.aClass318_651.aFloat4001, this.aClass318_651.aFloat4003, 1733889692);
      this.aClass103_8067.method2022(this.anIntArray8075[8], this.aClass326_652.aFloat4036, this.aClass326_652.aFloat4037, this.aClass326_652.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[9], this.aClass318_643.aFloat4004, this.aClass318_643.aFloat4002, this.aClass318_643.aFloat4001, this.aClass318_643.aFloat4003, -1286795808);
      this.aClass103_8067.method2022(this.anIntArray8075[10], this.aClass326_648.aFloat4036, this.aClass326_648.aFloat4037, this.aClass326_648.aFloat4033, 560026753);
      this.aClass545_Sub2_644.method15086(Class374.aClass374_4670, this.anInt660, this.anInt650, this.anInt662, this.anInt663);
   }

   public void method1446() {
      this.aClass103_8067.method2007(this.aClass100Array8073[17]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.method13019(0, -1697526668);
   }

   public void method1444(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[12 + var1]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2026(this.anIntArray8075[15], this.aClass317_641, 1621142514);
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2044(this.anIntArray8075[3], 1, this.anInterface37_646, 674137792);
      this.method13019(var1, -2006690894);
   }

   void method13019(int var1, int var2) {
      this.aClass103_8067.method2044(this.anIntArray8075[2], 0, this.anInterface33_645, 1080388276);
      this.aClass103_8067.method2012(this.anIntArray8075[4], this.aClass317_8070, (byte)90);
      this.aClass103_8067.method2027(this.anIntArray8075[5], this.aClass317_654, -2107602108);
      this.aClass103_8067.method2023(this.anIntArray8075[7], this.aClass318_651.aFloat4004, this.aClass318_651.aFloat4002, this.aClass318_651.aFloat4001, this.aClass318_651.aFloat4003, -228167649);
      this.aClass103_8067.method2022(this.anIntArray8075[8], this.aClass326_652.aFloat4036, this.aClass326_652.aFloat4037, this.aClass326_652.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[9], this.aClass318_643.aFloat4004, this.aClass318_643.aFloat4002, this.aClass318_643.aFloat4001, this.aClass318_643.aFloat4003, -1300707950);
      this.aClass103_8067.method2022(this.anIntArray8075[10], this.aClass326_648.aFloat4036, this.aClass326_648.aFloat4037, this.aClass326_648.aFloat4033, 560026753);
      this.aClass103_8067.method2024(this.anIntArray8075[11], this.aClass326_655, -1998207509);
      this.aClass103_8067.method2024(this.anIntArray8075[12], this.aClass326_656, -1628371068);
      this.aClass103_8067.method2024(this.anIntArray8075[13], this.aClass326_657, -17052251);
      this.aClass103_8067.method2024(this.anIntArray8075[14], this.aClass326_661, -289073743);
      if(var1 > 0) {
         this.aClass103_8067.method2025(this.anIntArray8075[1], this.aFloatArray653, 4 * var1, -1431614119);
         this.aClass103_8067.method2025(this.anIntArray8075[0], this.aFloatArray659, 4 * var1, -784542790);
      }

      this.aClass545_Sub2_644.method15086(Class374.aClass374_4670, this.anInt660, this.anInt650, this.anInt662, this.anInt663);
   }

   public void method1443(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[var1 + 2]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.method13019(var1, -1265182854);
   }

   public void method1451(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[var1 + 7]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, 1889656437);
      this.method13019(var1, -1645566984);
   }

   public void method1445(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[12 + var1]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2026(this.anIntArray8075[15], this.aClass317_641, 736665268);
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2044(this.anIntArray8075[3], 1, this.anInterface37_646, 1306669098);
      this.method13019(var1, -1221172886);
   }

   public void method1461(Class317 var1) {
      this.aClass317_8070.method5609(var1);
      this.aClass317_8070.method5612(this.aClass545_Sub2_644.aClass317_9747);
   }

   public void method1459(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[12 + var1]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2026(this.anIntArray8075[15], this.aClass317_641, 1769155176);
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2044(this.anIntArray8075[3], 1, this.anInterface37_646, 432811978);
      this.method13019(var1, -1362268074);
   }

   public void method1450(Class317 var1) {
      this.aClass317_8070.method5609(var1);
      this.aClass317_8070.method5612(this.aClass545_Sub2_644.aClass317_9747);
   }

   public void method1462(boolean var1) {
      if(var1) {
         this.aClass103_8067.method2007(this.aClass100Array8073[1]);
      } else {
         this.aClass103_8067.method2007(this.aClass100Array8073[0]);
      }

      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2044(this.anIntArray8075[2], 0, this.anInterface33_645, 1487673282);
      this.aClass103_8067.method2012(this.anIntArray8075[4], this.aClass317_8070, (byte)52);
      this.aClass103_8067.method2027(this.anIntArray8075[5], this.aClass317_654, -2048030569);
      this.aClass103_8067.method2023(this.anIntArray8075[7], this.aClass318_651.aFloat4004, this.aClass318_651.aFloat4002, this.aClass318_651.aFloat4001, this.aClass318_651.aFloat4003, -1462001554);
      this.aClass103_8067.method2022(this.anIntArray8075[8], this.aClass326_652.aFloat4036, this.aClass326_652.aFloat4037, this.aClass326_652.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[9], this.aClass318_643.aFloat4004, this.aClass318_643.aFloat4002, this.aClass318_643.aFloat4001, this.aClass318_643.aFloat4003, -1973984717);
      this.aClass103_8067.method2022(this.anIntArray8075[10], this.aClass326_648.aFloat4036, this.aClass326_648.aFloat4037, this.aClass326_648.aFloat4033, 560026753);
      this.aClass545_Sub2_644.method15086(Class374.aClass374_4670, this.anInt660, this.anInt650, this.anInt662, this.anInt663);
   }

   public void method1456(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[var1 + 7]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, 553633216);
      this.method13019(var1, -959498798);
   }

   public void method1453(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[var1 + 7]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, -849041011);
      this.method13019(var1, -1515814393);
   }

   public void method1466() {
      this.aClass103_8067.method2007(this.aClass100Array8073[18]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, 1374538900);
      this.method13019(0, -2116973017);
   }

   public void method1454(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[var1 + 7]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, -764354543);
      this.method13019(var1, -2045325526);
   }

   boolean method13020() throws Exception_Sub3 {
      this.aClass103_8067 = this.aClass545_Sub2_644.method15316("Model");
      Class225_Sub36_Sub1 var1 = this.aClass103_8067.method2030("DiffuseSampler", 542683810);
      Class225_Sub36_Sub1 var2 = this.aClass103_8067.method2030("EnvironmentSampler", -114683188);
      Class225_Sub36_Sub1 var3 = this.aClass103_8067.method2030("PointLightsPosAndRadiusSq", -381274004);
      Class225_Sub36_Sub1 var4 = this.aClass103_8067.method2030("PointLightsDiffuseColour", -197313831);
      Class225_Sub36_Sub1 var5 = this.aClass103_8067.method2030("WVPMatrix", 89722443);
      Class225_Sub36_Sub1 var6 = this.aClass103_8067.method2030("TexCoordMatrix", 716147134);
      Class225_Sub36_Sub1 var7 = this.aClass103_8067.method2030("HeightFogPlane", -738666929);
      Class225_Sub36_Sub1 var8 = this.aClass103_8067.method2030("HeightFogColour", -712794442);
      Class225_Sub36_Sub1 var9 = this.aClass103_8067.method2030("DistanceFogPlane", 123875993);
      Class225_Sub36_Sub1 var10 = this.aClass103_8067.method2030("DistanceFogColour", 655511395);
      Class225_Sub36_Sub1 var11 = this.aClass103_8067.method2030("SunDir", -965428901);
      Class225_Sub36_Sub1 var12 = this.aClass103_8067.method2030("SunColour", 1129092883);
      Class225_Sub36_Sub1 var13 = this.aClass103_8067.method2030("AntiSunColour", 1023605447);
      Class225_Sub36_Sub1 var14 = this.aClass103_8067.method2030("AmbientColour", 1810994503);
      Class225_Sub36_Sub1 var15 = this.aClass103_8067.method2030("EyePos", 404301420);
      Class225_Sub36_Sub1 var16 = this.aClass103_8067.method2030("SpecularExponent", 316187341);
      Class225_Sub36_Sub1 var17 = this.aClass103_8067.method2030("WorldMatrix", -76427163);
      this.aClass100Array8073[0] = this.aClass103_8067.method2000("Unlit", 169964444);
      this.aClass100Array8073[1] = this.aClass103_8067.method2000("Unlit_IgnoreAlpha", 169964444);
      this.aClass100Array8073[17] = this.aClass103_8067.method2000("UnderwaterGround", 169964444);
      this.aClass100Array8073[18] = this.aClass103_8067.method2000("UnderwaterGroundSpecular", 169964444);

      int var18;
      for(var18 = 0; var18 <= 4; ++var18) {
         this.aClass100Array8073[var18 + 2] = this.aClass103_8067.method2000("Standard_" + var18 + "PointLights", 169964444);
         this.aClass100Array8073[7 + var18] = this.aClass103_8067.method2000("Specular_" + var18 + "PointLights", 169964444);
         this.aClass100Array8073[12 + var18] = this.aClass103_8067.method2000("EnvironmentalMapping_" + var18 + "PointLights", 169964444);
      }

      for(var18 = 0; var18 < 19; ++var18) {
         int var19 = this.aClass103_8067.method2051(this.aClass100Array8073[var18], -1071600483);
         this.anIntArrayArray8072[var18][2] = var1.method15633(var19);
         this.anIntArrayArray8072[var18][3] = var2.method15633(var19);
         this.anIntArrayArray8072[var18][1] = var3.method15633(var19);
         this.anIntArrayArray8072[var18][0] = var4.method15633(var19);
         this.anIntArrayArray8072[var18][4] = var5.method15633(var19);
         this.anIntArrayArray8072[var18][5] = var6.method15633(var19);
         this.anIntArrayArray8072[var18][7] = var7.method15633(var19);
         this.anIntArrayArray8072[var18][8] = var8.method15633(var19);
         this.anIntArrayArray8072[var18][9] = var9.method15633(var19);
         this.anIntArrayArray8072[var18][10] = var10.method15633(var19);
         this.anIntArrayArray8072[var18][11] = var11.method15633(var19);
         this.anIntArrayArray8072[var18][12] = var12.method15633(var19);
         this.anIntArrayArray8072[var18][13] = var13.method15633(var19);
         this.anIntArrayArray8072[var18][14] = var14.method15633(var19);
         this.anIntArrayArray8072[var18][6] = var15.method15633(var19);
         this.anIntArrayArray8072[var18][15] = var17.method15633(var19);
         this.anIntArrayArray8072[var18][16] = var16.method15633(var19);
      }

      this.aClass103_8067.method2007(this.aClass100Array8073[2]);
      return true;
   }

   public void method1457(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[12 + var1]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2026(this.anIntArray8075[15], this.aClass317_641, -1319859508);
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2044(this.anIntArray8075[3], 1, this.anInterface37_646, 603054293);
      this.method13019(var1, -1331851222);
   }

   public void method1452() {
      this.aClass103_8067.method2007(this.aClass100Array8073[18]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, 715991991);
      this.method13019(0, -907845577);
   }

   void method13021(int var1) {
      this.aClass103_8067.method2044(this.anIntArray8075[2], 0, this.anInterface33_645, 1051149451);
      this.aClass103_8067.method2012(this.anIntArray8075[4], this.aClass317_8070, (byte)-46);
      this.aClass103_8067.method2027(this.anIntArray8075[5], this.aClass317_654, -1864405305);
      this.aClass103_8067.method2023(this.anIntArray8075[7], this.aClass318_651.aFloat4004, this.aClass318_651.aFloat4002, this.aClass318_651.aFloat4001, this.aClass318_651.aFloat4003, 279376201);
      this.aClass103_8067.method2022(this.anIntArray8075[8], this.aClass326_652.aFloat4036, this.aClass326_652.aFloat4037, this.aClass326_652.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[9], this.aClass318_643.aFloat4004, this.aClass318_643.aFloat4002, this.aClass318_643.aFloat4001, this.aClass318_643.aFloat4003, 772334097);
      this.aClass103_8067.method2022(this.anIntArray8075[10], this.aClass326_648.aFloat4036, this.aClass326_648.aFloat4037, this.aClass326_648.aFloat4033, 560026753);
      this.aClass103_8067.method2024(this.anIntArray8075[11], this.aClass326_655, -246383575);
      this.aClass103_8067.method2024(this.anIntArray8075[12], this.aClass326_656, -159575919);
      this.aClass103_8067.method2024(this.anIntArray8075[13], this.aClass326_657, 1433837593);
      this.aClass103_8067.method2024(this.anIntArray8075[14], this.aClass326_661, -558083851);
      if(var1 > 0) {
         this.aClass103_8067.method2025(this.anIntArray8075[1], this.aFloatArray653, 4 * var1, -1217009684);
         this.aClass103_8067.method2025(this.anIntArray8075[0], this.aFloatArray659, 4 * var1, -380862959);
      }

      this.aClass545_Sub2_644.method15086(Class374.aClass374_4670, this.anInt660, this.anInt650, this.anInt662, this.anInt663);
   }

   public Class68_Sub1(Class545_Sub2 var1) throws Exception_Sub3 {
      super(var1);
      this.method13018((byte)1);
   }

   public void method1447() {
      this.aClass103_8067.method2007(this.aClass100Array8073[17]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.method13019(0, -1598363067);
   }

   public void method1439() {
      this.aClass103_8067.method2007(this.aClass100Array8073[17]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.method13019(0, -982966814);
   }

   public void method1448() {
      this.aClass103_8067.method2007(this.aClass100Array8073[17]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.method13019(0, -1256233204);
   }

   public void method1463() {
      this.aClass103_8067.method2007(this.aClass100Array8073[18]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, -1205189628);
      this.method13019(0, -1475753867);
   }

   public void method1458() {
      this.aClass103_8067.method2007(this.aClass100Array8073[18]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, -615120774);
      this.method13019(0, -2013883522);
   }

   public void method1464() {
      this.aClass103_8067.method2007(this.aClass100Array8073[18]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, -1396680333);
      this.method13019(0, -1791057224);
   }

   public void method1460(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[var1 + 2]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.method13019(var1, -972042393);
   }

   public void method1441(Class317 var1) {
      this.aClass317_8070.method5609(var1);
      this.aClass317_8070.method5612(this.aClass545_Sub2_644.aClass317_9747);
   }

   void method13022(int var1) {
      this.aClass103_8067.method2044(this.anIntArray8075[2], 0, this.anInterface33_645, -202101317);
      this.aClass103_8067.method2012(this.anIntArray8075[4], this.aClass317_8070, (byte)14);
      this.aClass103_8067.method2027(this.anIntArray8075[5], this.aClass317_654, -1660000425);
      this.aClass103_8067.method2023(this.anIntArray8075[7], this.aClass318_651.aFloat4004, this.aClass318_651.aFloat4002, this.aClass318_651.aFloat4001, this.aClass318_651.aFloat4003, 373172343);
      this.aClass103_8067.method2022(this.anIntArray8075[8], this.aClass326_652.aFloat4036, this.aClass326_652.aFloat4037, this.aClass326_652.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[9], this.aClass318_643.aFloat4004, this.aClass318_643.aFloat4002, this.aClass318_643.aFloat4001, this.aClass318_643.aFloat4003, -1617629686);
      this.aClass103_8067.method2022(this.anIntArray8075[10], this.aClass326_648.aFloat4036, this.aClass326_648.aFloat4037, this.aClass326_648.aFloat4033, 560026753);
      this.aClass103_8067.method2024(this.anIntArray8075[11], this.aClass326_655, 92828872);
      this.aClass103_8067.method2024(this.anIntArray8075[12], this.aClass326_656, -1846605214);
      this.aClass103_8067.method2024(this.anIntArray8075[13], this.aClass326_657, 1087190100);
      this.aClass103_8067.method2024(this.anIntArray8075[14], this.aClass326_661, 753499350);
      if(var1 > 0) {
         this.aClass103_8067.method2025(this.anIntArray8075[1], this.aFloatArray653, 4 * var1, -1081814209);
         this.aClass103_8067.method2025(this.anIntArray8075[0], this.aFloatArray659, 4 * var1, -1807084595);
      }

      this.aClass545_Sub2_644.method15086(Class374.aClass374_4670, this.anInt660, this.anInt650, this.anInt662, this.anInt663);
   }

   public void method1455(int var1) {
      this.aClass103_8067.method2007(this.aClass100Array8073[var1 + 7]);
      this.anIntArray8075 = this.anIntArrayArray8072[this.aClass103_8067.method2009(1288210238)];
      this.aClass103_8067.method1997();
      this.aClass103_8067.method2022(this.anIntArray8075[6], this.aClass326_642.aFloat4036, this.aClass326_642.aFloat4037, this.aClass326_642.aFloat4033, 560026753);
      this.aClass103_8067.method2023(this.anIntArray8075[16], this.aFloat649, this.aFloat647, 0.0F, 0.0F, 258467395);
      this.method13019(var1, -1260415797);
   }
}
